# 9.19:  Filter rows based on custom logic for missing data.  Use Boolean masks with .isna() and
# .notna() to target specific missing value conditions.

print('df:')
df
print()

print("df[  df['A'].notna() & df['B'].isna()  ]")
df[  df['A'].notna() & df['B'].isna()  ]
print()

